MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022685Community[OCCT] OCCT:Application Frameworkpublic2011-07-25 13:022012-03-29 17:26
Reporteratp 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSAllOS Version
Product Version 
Target Version[OCCT] 6.5.3Fixed in Version[OCCT] 6.5.3 
Summary0022685: Missing parentheses around trigraph operator
DescriptionA thorough review of compiler warnings emitted when building OpenCascade
exhibits bugs in the following files:
ros/src/Aspect/Aspect_MarkMapEntry.cxx
ros/src/Aspect/Aspect_TypeMapEntry.cxx
ros/src/Aspect/Aspect_WidthMapEntry.cxx
ros/src/TDataStd/TDataStd_ExtStringArray.cxx
ros/src/TDataStd/TDataStd_IntPackedMap.cxx
ros/src/TDataStd/TDataStd_IntegerArray.cxx
ros/src/TDataStd/TDataStd_RealArray.cxx

A patch is attached, all fixes are similar to this one:
--- a/src/TDataStd/TDataStd_RealArray.cxx
+++ b/src/TDataStd/TDataStd_RealArray.cxx
@@ -242,7 +242,7 @@ Standard_OStream& TDataStd_RealArray::Dump
(Standard_OStream& anOS) const
for(i = lower; i<=upper; i++)
anOS << " " <<myValue->Value(i);
}
- anOS << " Delta is " << myIsDelta ? "ON":"OFF";
+ anOS << " Delta is " << (myIsDelta ? "ON":"OFF");
anOS << endl;
return anOS;
}
Steps To ReproduceReproducing is not required.
TagsNo tags attached.
Test case numberTest case is not required
Attached Filespatch file icon missing-parentheses-around-trigraph.patch (4,795 bytes) 2011-07-25 11:02

- Relationships

-  Notes
(0018244)
szy (administrator)
2011-09-21 13:52

Branch 22685 is created.
Problem is fixed.
(0018386)
szy (administrator)
2011-10-21 16:49

Vlad,
Could you make reviewing of the Branch 22685.
Sergey
(0018533)
apn (administrator)
2011-11-14 14:42
edited on: 2011-11-22 11:24

Dear BugMaster,
   Workbench apn-OCC22685-occt was created from SVN branch http://svn/svn/occt/branches/22685 [^] [^]
  (and apn-OCC22685-products from trunk) and compiled on Linux platform.
   
   There are not regressions in apn-OCC22685-products regarding to KAS:dev:products-652-opt.
   
   See results in /QADisk/occttests/results/KAS/dev/apn-OCC22685-products_11112011/lin
   See reference results in /QADisk/occttests/results/KAS/dev/products-652-opt_23092011/lin
   See test cases in /QADisk/occttests/tests/ED

(0018583)
bugmaster (administrator)
2011-11-18 14:25

Fix has been integrated into occt repository

Date: 2011-11-18 14:22:54 +0400 (Fri, 18 Nov 2011)
New Revision: 9434

Modified:
   trunk/src/Aspect/Aspect_MarkMapEntry.cxx
   trunk/src/Aspect/Aspect_TypeMapEntry.cxx
   trunk/src/Aspect/Aspect_WidthMapEntry.cxx
   trunk/src/TDataStd/TDataStd_ExtStringArray.cxx
   trunk/src/TDataStd/TDataStd_IntPackedMap.cxx
   trunk/src/TDataStd/TDataStd_IntegerArray.cxx
   trunk/src/TDataStd/TDataStd_RealArray.cxx

- Related Changesets
occt: master eb901da6
Timestamp: 2011-11-18 10:22:54
Author: szy
Committer: bugmaster
Details ] Diff ]
0022685: Missing parentheses around trigraph operator
mod - src/Aspect/Aspect_MarkMapEntry.cxx Diff ] File ]
mod - src/Aspect/Aspect_TypeMapEntry.cxx Diff ] File ]
mod - src/Aspect/Aspect_WidthMapEntry.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_ExtStringArray.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_IntegerArray.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_IntPackedMap.cxx Diff ] File ]
mod - src/TDataStd/TDataStd_RealArray.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-08-02 10:32 bugmaster Category OCCT:OCAF => OCCT:Application Framework
2011-09-21 13:49 szy Fixed in Version EMPTY =>
2011-09-21 13:49 szy Target Version => 6.5.3
2011-09-21 13:49 szy Description Updated View Revisions
2011-09-21 13:49 szy Steps to Reproduce Updated View Revisions
2011-09-21 13:50 szy Assigned To bugmaster => szy
2011-09-21 13:50 szy Status acknowledged => assigned
2011-09-21 13:52 szy Note Added: 0018244
2011-09-21 13:52 szy Status assigned => resolved
2011-10-21 16:40 szy Resolution suspended => fixed
2011-10-21 16:49 szy Note Added: 0018386
2011-10-21 16:49 szy Assigned To szy => vro
2011-10-21 16:49 szy Status resolved => assigned
2011-11-03 15:33 vro Status assigned => reviewed
2011-11-14 14:42 apn Note Added: 0018533
2011-11-14 14:43 apn Note Edited: 0018533 View Revisions
2011-11-14 14:44 apn Test case number => Test case is not required
2011-11-14 14:44 apn Status reviewed => tested
2011-11-18 14:25 bugmaster Note Added: 0018583
2011-11-18 14:25 bugmaster Status tested => verified
2011-11-21 11:49 szy Note Edited: 0018533 View Revisions
2011-11-22 11:24 szy Note Edited: 0018533 View Revisions
2012-03-29 17:26 bugmaster Changeset attached => occt master eb901da6


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker